# $Revision: 1.77 $, $Date: 2011/02/04 18:23:46 $
#
# Conditional build:
%bcond_without	evolution	# build without evolution support
#
%define		realname	deskbar-applet
Summary:	GNOME applet similar to Google's Deskbar
Summary(pl.UTF-8):	Aplet GNOME podobny do Google Deskbar
Name:		gnome-applet-deskbar
Version:	2.32.0
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/deskbar-applet/2.32/%{realname}-%{version}.tar.bz2
# Source0-md5:	4985ea0786d994302057463f32cb69ce
Patch0:		%{name}-pyc.patch
URL:		http://projects.gnome.org/deskbar-applet/
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel
BuildRequires:	docbook-dtd42-xml
%{?with_evolution:BuildRequires:	evolution-data-server-devel >= 2.24.0}
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-desktop-devel >= 2.26.0
BuildRequires:	gnome-doc-utils >= 0.12.1
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-dbus-devel >= 0.80.2
BuildRequires:	python-gnome-desktop-devel >= 2.26.0
BuildRequires:	python-gnome-devel >= 2.26.0
BuildRequires:	python-gnome-extras-devel >= 2.19.0
BuildRequires:	python-pygobject-devel >= 2.16.0
BuildRequires:	python-pygtk-devel >= 2:2.14.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	pydoc
Requires:	python-dbus
Requires:	python-gnome-desktop-applet >= 2.26.0
Requires:	python-gnome-gconf >= 2.26.0
Requires:	python-gnome-ui >= 2.26.0
Requires:	python-pygobject >= 2.16.0
Suggests:	python-beagle
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME applet similar to Google's Deskbar.

%description -l pl.UTF-8
Aplet GNOME podobny do Google Deskbar.

%package devel
Summary:	GNOME Deskbar applet development files
Summary(pl.UTF-8):	Pliki programistyczne apletu GNOME Deskbar
Group:		Development
Requires:	python-pygtk-devel >= 2:2.14.0

%description devel
GNOME Deskbar applet development files.

%description devel -l pl.UTF-8
Pliki programistyczne apletu GNOME Deskbar.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

sed -i -e 's/en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-silent-rules \
	--%{!?with_evolution:dis}%{?with_evolution:en}able-evolution
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/deskbar/*.py
rm -f $RPM_BUILD_ROOT%{py_sitedir}/deskbar/*/*.{la,py}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/deskbar/*/*/*.{la,py}
rm -f $RPM_BUILD_ROOT%{_libdir}/deskbar-applet/modules-2.20-compatible/*.py

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install deskbar-applet.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall deskbar-applet.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_sysconfdir}/gconf/schemas/deskbar-applet.schemas
%{_datadir}/deskbar-applet
%dir %{_libdir}/deskbar-applet
%attr(755,root,root) %{_libdir}/deskbar-applet/deskbar-applet
%dir %{_libdir}/deskbar-applet/modules-2.20-compatible
%{_libdir}/deskbar-applet/modules-2.20-compatible/*.py[co]
%{_libdir}/bonobo/servers/*.server
%dir %{py_sitedir}/deskbar

%if %{with evolution}
%dir %{py_sitedir}/deskbar/handlers/evolution
%{py_sitedir}/deskbar/handlers/evolution/*.py[co]
%attr(755,root,root) %{py_sitedir}/deskbar/handlers/evolution/*.so
%endif

%dir %{py_sitedir}/deskbar/handlers
%dir %{py_sitedir}/deskbar/handlers/actions
%dir %{py_sitedir}/deskbar/core
%dir %{py_sitedir}/deskbar/ui/iconentry
%dir %{py_sitedir}/deskbar/core/keybinder
%dir %{py_sitedir}/deskbar/osutils
%dir %{py_sitedir}/deskbar/ui
%dir %{py_sitedir}/deskbar/ui/cuemiac
%dir %{py_sitedir}/deskbar/ui/preferences
%dir %{py_sitedir}/deskbar/interfaces
%dir %{py_sitedir}/deskbar/core/updater
%dir %{py_sitedir}/deskbar/core/_userdirs
%{py_sitedir}/deskbar/handlers/*.py[co]
%{py_sitedir}/deskbar/handlers/actions/*.py[co]
%{py_sitedir}/deskbar/core/*.py[co]
%{py_sitedir}/deskbar/ui/iconentry/*.py[co]
%{py_sitedir}/deskbar/core/keybinder/*.py[co]
%{py_sitedir}/deskbar/osutils/*.py[co]
%{py_sitedir}/deskbar/*.py[co]
%{py_sitedir}/deskbar/ui/cuemiac/*.py[co]
%{py_sitedir}/deskbar/ui/preferences/*.py[co]
%{py_sitedir}/deskbar/interfaces/*.py[co]
%{py_sitedir}/deskbar/ui/*.py[co]
%{py_sitedir}/deskbar/core/updater/*.py[co]
%{py_sitedir}/deskbar/core/_userdirs/*.py[co]
%attr(755,root,root) %{py_sitedir}/deskbar/ui/iconentry/*.so
%attr(755,root,root) %{py_sitedir}/deskbar/core/keybinder/*.so
%attr(755,root,root) %{py_sitedir}/deskbar/core/_userdirs/*.so
%attr(755,root,root) %{py_sitedir}/deskbar/osutils/*.so
%{_iconsdir}/hicolor/*/apps/*

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/deskbar-applet.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-deskbar.spec,v $
Revision 1.77  2011/02/04 18:23:46  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.76  2010/11/24 11:27:38  hawk
- release 2

Revision 1.75  2010/10/03 14:33:17  megabajt
- updated to 2.32.0

Revision 1.74  2010/07/09 11:16:11  arekm
- release 3

Revision 1.73  2010/07/08 07:50:59  arekm
- release 2

Revision 1.72  2010/06/26 07:03:59  cieciwa
- added BuildRequired: cyrus-sasl-devel.

Revision 1.71  2010/04/21 17:23:30  megabajt
- updated to 2.30.0

Revision 1.70  2010/01/06 00:44:10  sparky
- BR: docbook-dtd42-xml

Revision 1.69  2009/11/25 00:58:54  sparky
- BR: rpm-pythonprov

Revision 1.68  2009/05/19 17:44:31  megabajt
- updated to 2.26.2

Revision 1.67  2009/04/15 10:46:54  megabajt
- updated to 2.26.1

Revision 1.66  2009/03/19 19:06:27  megabajt
- updated to 2.26.0

Revision 1.65  2009/03/14 19:45:11  hawk
- release 2

Revision 1.64  2009/01/15 17:23:41  megabajt
- updated to 2.24.3

Revision 1.63  2008/11/22 14:37:35  megabajt
- updated to 2.24.2

Revision 1.62  2008/10/23 13:18:10  megabajt
- updated to 2.24.1

Revision 1.61  2008/10/04 20:19:19  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.60  2008/10/03 17:44:03  arekm
- release 2

Revision 1.58.2.2  2008/09/04 08:47:44  patrys
- 2.23.91

Revision 1.59  2008/07/01 17:30:03  megabajt
- updated to 2.22.3

Revision 1.58.2.1  2008-06-04 14:26:59  patrys
- 2.23.3

Revision 1.58  2008-06-01 10:33:50  megabajt
- updated to 2.22.2.1

Revision 1.57  2008-05-31 20:39:02  adamg
- updated to 2.22.2

Revision 1.56  2008-04-17 17:14:54  megabajt
- updated to 2.22.1

Revision 1.55  2008-03-12 18:10:32  megabajt
- updated to 2.22.0.1; merged changes from DEVEL

Revision 1.54  2008/02/14 20:57:06  megabajt
- release 2

Revision 1.51.2.3  2008-02-14 20:54:55  megabajt
- updated to 2.21.91
- added -devel subpackage; pkgconfig file is needed to build modules

Revision 1.53  2008-02-09 00:39:27  megabajt
- created -devel subpackage; pkgconfig file is needed to build modules

Revision 1.51.2.2  2008-01-16 02:16:44  patrys
- 2.21.5

Revision 1.52  2008-01-09 20:25:28  megabajt
- updated to 2.20.3

Revision 1.51.2.1  2007-12-20 02:11:50  patrys
- 2.21.4

Revision 1.51  2007-11-30 16:52:23  megabajt
- updated to 2.20.2

Revision 1.50  2007-11-27 20:30:53  qboosh
- updated find_lang BR
- sed quotes
- removed _overunderscoring

Revision 1.49  2007-11-11 12:02:20  megabajt
- use better way to fix locale name
- use --with-omf; new URL

Revision 1.48  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.47  2007/10/17 18:36:06  megabajt
- updated to 2.20.1

Revision 1.46  2007/09/18 18:22:00  patrys
- add S: python-beagle

Revision 1.45  2007/09/18 17:31:05  patrys
- 2.20.0

Revision 1.44.2.2  2007/09/08 18:48:47  aflinta
- up to 2.19.92

Revision 1.44.2.1  2007/09/02 11:56:36  aflinta
- up to 2.19.91

Revision 1.44  2007/04/07 20:47:00  megabajt
- updated to 2.18.1

Revision 1.43  2007/03/14 20:54:44  megabajt
- updated to 2.18.0

Revision 1.42  2007/03/10 17:26:26  megabajt
- updated to 2.17.92

Revision 1.41  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.39  2006/11/30 16:51:01  megabajt
- up to 2.16.2

Revision 1.38  2006/10/23 16:12:25  grzegol
- 2.16.1

Revision 1.37  2006/09/27 20:20:33  wrobell
- rel. 2 to rebuild with python 2.5 (final)

Revision 1.36  2006/09/09 11:53:19  grzegol
- 2.16.0

Revision 1.35  2006/08/29 17:06:32  freetz
- 2.15.92.1, beagle live search works now

Revision 1.34  2006/08/28 05:40:53  freetz
- rel.2 for rebuild with new python

Revision 1.33  2006/08/23 17:37:47  freetz
- 2.15.92, removed desktop patch (desktop file removed upstream), updated
  deps

Revision 1.32  2006/08/10 20:42:47  freetz
- 2.15.91, new stuff manager removed upstream, updated deps and file list

Revision 1.31  2006/08/02 16:40:32  freetz
- rel.2, added missing python-elementtree BR

Revision 1.30  2006/07/26 19:08:41  freetz
- 2.15.90.1, use rpm macros

Revision 1.29  2006/07/21 14:41:01  aredridel
- revert bogus last change

Revision 1.28  2006/07/20 23:25:31  aredridel
- add optional dep for beagle; no configure option for it

Revision 1.27  2006/07/14 19:28:09  freetz
- 2.15.4, updated deps, removed oboslete CuemiacPopupEntry patch,
  added desktop patch, updated file list, --as-needed passed to LDFLAGS

Revision 1.26  2006/06/19 17:35:47  freetz
- fix http://bugzilla.gnome.org/show_bug.cgi?id=345011, update deps, rel.2

Revision 1.25  2006/06/13 21:02:54  freetz
- R: python-elementtree

Revision 1.24  2006/06/13 19:39:56  freetz
- 2.15.3, updated file list and deps

Revision 1.23  2006/06/09 20:26:32  freetz
- 2.15.2, GNOME 2.15.x deps, (re)generate icon cache, updated file list

Revision 1.22  2006/06/06 13:31:43  qboosh
- merged update to 2.14.2 from AC-branch

Revision 1.21  2006/05/17 14:58:30  qboosh
- GNOME 2.14 deps (merged from AC-branch)

Revision 1.20  2006/04/17 06:58:05  paladine
- updated to 2.14.1.1

Revision 1.19  2006/04/10 17:54:08  freetz
- 2.14.1

Revision 1.18  2006/03/14 07:01:31  freetz
- 2.14.0.1

Revision 1.17  2006/03/12 21:47:42  freetz
- 2.14.0

Revision 1.16  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.15  2006/02/28 15:09:49  freetz
- 2.13.92

Revision 1.14  2006/02/14 08:23:45  freetz
- 2.13.91

Revision 1.13  2006/02/04 22:13:53  freetz
- 2.13.90.1

Revision 1.12  2006/01/31 18:23:50  freetz
- 2.13.90, updated file list, updated deps

Revision 1.11  2006/01/04 14:50:57  freetz
- 0.8.7

Revision 1.10  2005/12/12 17:10:45  freetz
- 0.8.6.1

Revision 1.9  2005/12/10 11:55:23  freetz
- 0.8.6, beagle removed from here (for beagle runtime features install
  python-beagle package), updated BR

Revision 1.8  2005/11/14 19:28:22  freetz
- 0.8.5, new source url, more %%files

Revision 1.7  2005/11/10 21:51:18  freetz
- 0.8.4, files handler fix already included

Revision 1.6  2005/11/02 19:38:57  paladine
- added files_handler patch

Revision 1.5  2005/11/02 17:48:22  paladine
- updated to 0.8.3
- added pyc patch
- use %{py_sitedir} instead of %{py_sitescriptdir} due to .so files
- rel. 0.9, works for me

Revision 1.4  2005/10/25 21:22:37  paladine
- updated to 0.8.2
- added bconds for beagle and evolution (removed todo)
- added missing Rs
- removed *.py where they're not needed
- fixed %%files

Revision 1.3  2005/10/24 20:29:54  freetz
- updated to 0.8.0 (in conspiration with paladine), added beagle
  and evolution handlers

Revision 1.2  2005/02/23 20:22:37  paladine
- updated to 0.2

Revision 1.1  2004/12/21 09:38:14  paladine
- initial PLD release
